Pular para o conteúdo principal

Endpoints de teste

Método GET​

Request​

ENDPOINT
/test/API_KEY
MÉTODO
GET

Path Params​

CampoTipoDescrição
api_key *stringAPI_KEY do parceiro.
GET /test/{api_key}
curl -X GET \
'https://api-auth.sandbox.qitech.app/test/{api_key}' \
-H 'AUTHORIZATION: {encoded_header_token}' \
-H 'API-CLIENT-KEY: {api_key}'

Response​

STATUS
200
Response Body
{
"test_key": "d0cd4b4e-5b30-456f-90c3-bce9e5d304fe",
"success": "Congrats!"
}

Método POST​

Request​

ENDPOINT
test/API_KEY
MÉTODO
POST
POST /test/{api_key}
curl -X POST \
'https://api-auth.sandbox.qitech.app/test/{api_key}' \
-H 'AUTHORIZATION: {encoded_header_token}' \
-H 'API-CLIENT-KEY: {api_key}' \
-H 'Content-Type: application/json' \
-d '{"name": "QI Tech"}'
Request Body
{
"name": "QI Tech"
}

Path Params​

CampoTipoDescrição
api_key *stringAPI_KEY do parceiro.

Response​

STATUS
201
Response Body
{
"name": "QI Tech",
"success": "Congrats!"
}